(function (engine) {
    'use strict';

    $.fn.particles = function () {
      var _this = this;
      var baseId = "tsparticles";
      var init = function init(options, callback) {
        _this.each(function (index, element) {
          if (element.id === undefined) {
            element.id = baseId + Math.floor(engine.getRandom() * 1000);
          }
          engine.tsParticles.load({
            id: element.id,
            options: options
          }).then(callback);
        });
      };
      var ajax = function ajax(jsonUrl, callback) {
        _this.each(function (index, element) {
          if (element.id === undefined) {
            element.id = baseId + Math.floor(engine.getRandom() * 1000);
          }
          engine.tsParticles.load({
            id: element.id,
            url: jsonUrl
          }).then(callback);
        });
      };
      return {
        init: init,
        ajax: ajax
      };
    };

})(window);
//# sourceMappingURL=jquery.particles.js.map
